diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/11_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/11_plus/create.sql
index 41173c63d..7b377ae55 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/11_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/11_plus/create.sql
@@ -26,6 +26,12 @@ AS {% if data.lanname == 'c' %}
 {{ data.probin|qtLiteral }}, {{ data.prosrc_c|qtLiteral }}
 {% else %}
 $BODY${{ data.prosrc }}$BODY${% endif -%};
+
+{% if data.funcowner %}
+ALTER PROCEDURE {{ conn|qtIdent(data.pronamespace, data.name) }}({{data.func_args_without}})
+    OWNER TO {{ conn|qtIdent(data.funcowner) }};
+{% endif -%}
+
 {% if data.acl and not is_sql %}
 {% for p in data.acl %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/14_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/14_plus/create.sql
index 4441ef54c..e6eba1b24 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/14_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/pg/sql/14_plus/create.sql
@@ -29,6 +29,12 @@ AS {% if data.lanname == 'c' %}
 {% else %}
 $BODY${{ data.prosrc }}$BODY${% endif -%};
 {% endif -%}
+
+{% if data.funcowner %}
+ALTER PROCEDURE {{ conn|qtIdent(data.pronamespace, data.name) }}({{data.func_args_without}})
+    OWNER TO {{ conn|qtIdent(data.funcowner) }};
+{% endif -%}
+
 {% if data.acl and not is_sql %}
 {% for p in data.acl %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/11_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/11_plus/create.sql
index c2687cde5..fdfca7483 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/11_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/11_plus/create.sql
@@ -34,6 +34,12 @@ AS {% if data.lanname == 'c' %}
 {{ data.probin|qtLiteral }}, {{ data.prosrc_c|qtLiteral }}
 {% else %}
 $BODY${{ data.prosrc }}$BODY${% endif -%};
+
+{% if data.funcowner %}
+ALTER PROCEDURE {{ conn|qtIdent(data.pronamespace, data.name) }}({{data.func_args_without}})
+    OWNER TO {{ conn|qtIdent(data.funcowner) }};
+{% endif -%}
+
 {% if data.acl and not is_sql %}
 {% for p in data.acl %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/14_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/14_plus/create.sql
index 8aef2b230..3dc29bb42 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/14_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/14_plus/create.sql
@@ -37,6 +37,12 @@ AS {% if data.lanname == 'c' %}
 {% else %}
 $BODY${{ data.prosrc }}$BODY${% endif -%};
 {% endif -%}
+
+{% if data.funcowner %}
+ALTER PROCEDURE {{ conn|qtIdent(data.pronamespace, data.name) }}({{data.func_args_without}})
+    OWNER TO {{ conn|qtIdent(data.funcowner) }};
+{% endif -%}
+
 {% if data.acl and not is_sql %}
 {% for p in data.acl %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/9.6_plus/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/9.6_plus/create.sql
index 8a731134d..32ab6d1f8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/9.6_plus/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/9.6_plus/create.sql
@@ -28,6 +28,12 @@ CREATE{% if add_replace_clause %} OR REPLACE{% endif %} PROCEDURE {{ conn|qtIden
 {% endif %}
 
 AS {{ data.prosrc }};
+
+{% if data.funcowner %}
+ALTER PROCEDURE {{ conn|qtIdent(data.pronamespace, data.name) }}
+    OWNER TO {{ conn|qtIdent(data.funcowner) }};
+{% endif -%}
+
 {% if data.acl and not is_sql %}
 {% for p in data.acl %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/default/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/default/create.sql
index bfd70b3a9..ff6f846c9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/default/create.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedures/ppas/sql/default/create.sql
@@ -15,6 +15,12 @@ CREATE{% if add_replace_clause %} OR REPLACE{% endif %} PROCEDURE {{ conn|qtIden
 {% endif %}
 
 AS {{ data.prosrc }};
+
+{% if data.funcowner %}
+ALTER PROCEDURE {{ conn|qtIdent(data.pronamespace, data.name) }}({{data.func_args_without}})
+    OWNER TO {{ conn|qtIdent(data.funcowner) }};
+{% endif -%}
+
 {% if data.acl and not is_sql %}
 {% for p in data.acl %}
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql
index e3ba35f49..95f96fb41 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql
@@ -12,6 +12,9 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
+
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql
index e29870f01..6753c2bbd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql
@@ -11,5 +11,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql
index d31596b13..9eca2c4c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql
@@ -12,5 +12,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_procedure.sql
index 4156d93af..87da57550 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/create_procedure.sql
@@ -10,3 +10,6 @@ begin
 select 1;
 end;
 $BODY$;
+
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_change_grantee_priv.sql
index e3ba35f49..95f96fb41 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_change_grantee_priv.sql
@@ -12,6 +12,9 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
+
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_comment.sql
index e29870f01..6753c2bbd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_comment.sql
@@ -11,5 +11,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_param.sql
index d31596b13..9eca2c4c3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/alter_proc_param.sql
@@ -12,5 +12,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_procedure.sql
index 4156d93af..87da57550 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/12_plus/create_procedure.sql
@@ -10,3 +10,6 @@ begin
 select 1;
 end;
 $BODY$;
+
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_change_grantee_priv.sql
index 89ac43121..d7b6550a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_change_grantee_priv.sql
@@ -11,6 +11,8 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
 
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_comment.sql
index d4b2ffb91..c550c19db 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_comment.sql
@@ -10,6 +10,8 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_param.sql
index 46e551e69..74ae1c6b9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/alter_proc_param.sql
@@ -11,6 +11,8 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_atomic_proc.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_atomic_proc.sql
index 2d2c176c4..0a0aec7e4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_atomic_proc.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_atomic_proc.sql
@@ -11,5 +11,8 @@ BEGIN ATOMIC
  SELECT 1;
 END;
 
+ALTER PROCEDURE public."Proc3_$%{}[]()&*^!@""'`\/#"()
+    OWNER TO postgres;
+
 COMMENT ON PROCEDURE public."Proc3_$%{}[]()&*^!@""'`\/#"()
     IS 'demo comments';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_procedure.sql
index cc1ea2eb0..d5dd6b3e5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/14_plus/create_procedure.sql
@@ -10,3 +10,5 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_change_grantee_priv.sql
index e3ba35f49..41a96510a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_change_grantee_priv.sql
@@ -12,6 +12,9 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_comment.sql
index e29870f01..52a21fbaa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_comment.sql
@@ -11,5 +11,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_param.sql
index d31596b13..6b640a084 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/alter_proc_param.sql
@@ -12,5 +12,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_procedure.sql
index 4156d93af..77b2a0cf0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/create_procedure.sql
@@ -10,3 +10,6 @@ begin
 select 1;
 end;
 $BODY$;
+
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/test_procedures.json b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/test_procedures.json
index 65e7a7d02..ed8de0427 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/test_procedures.json
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/11_plus/test_procedures.json
@@ -9,7 +9,7 @@
         "name": "Proc1_$%{}[]()&*^!@\"'`\\/#",
         "acl": [],
         "arguments": [{"argtype": "integer", "argmode": "IN", "argname": "i1", "argdefval": ""}],
-        "funcowner": "postgres",
+        "funcowner": "enterprisedb",
         "lanname": "plpgsql",
         "options": [],
         "pronamespace": 2200,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_change_grantee_priv.sql
index e3ba35f49..41a96510a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_change_grantee_priv.sql
@@ -12,6 +12,9 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_comment.sql
index e29870f01..52a21fbaa 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_comment.sql
@@ -11,5 +11,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_param.sql
index d31596b13..6b640a084 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/alter_proc_param.sql
@@ -12,5 +12,8 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_procedure.sql
index 4156d93af..77b2a0cf0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/12_plus/create_procedure.sql
@@ -10,3 +10,6 @@ begin
 select 1;
 end;
 $BODY$;
+
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_change_grantee_priv.sql
index 89ac43121..658111d4a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_change_grantee_priv.sql
@@ -11,6 +11,8 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
 
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_comment.sql
index d4b2ffb91..61485c882 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_comment.sql
@@ -10,6 +10,8 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_param.sql
index 46e551e69..5d7491f41 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/alter_proc_param.sql
@@ -11,6 +11,8 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_atomic_proc.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_atomic_proc.sql
index 2d2c176c4..1779aa2df 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_atomic_proc.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_atomic_proc.sql
@@ -11,5 +11,8 @@ BEGIN ATOMIC
  SELECT 1;
 END;
 
+ALTER PROCEDURE public."Proc3_$%{}[]()&*^!@""'`\/#"()
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc3_$%{}[]()&*^!@""'`\/#"()
     IS 'demo comments';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_procedure.sql
index cc1ea2eb0..bce3f5e11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/14_plus/create_procedure.sql
@@ -10,3 +10,5 @@ begin
 select 1;
 end;
 $BODY$;
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_change_grantee_priv.sql
index e3ba35f49..dbcc46388 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_change_grantee_priv.sql
@@ -12,6 +12,9 @@ select 1;
 end;
 $BODY$;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
+    OWNER TO enterprisedb;
+
 GRANT EXECUTE ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer) TO PUBLIC;
 
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_comment.sql
index 3ba058ef2..241e38d3f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_comment.sql
@@ -10,5 +10,8 @@ AS  begin
 select 1;
 end;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_opt.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_opt.sql
index ebc52e2c9..29e7267d0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_opt.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_opt.sql
@@ -11,5 +11,8 @@ AS   begin
 select 1;
 end;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_param.sql
index ae0625ff8..40ddcd3f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/alter_proc_param.sql
@@ -11,5 +11,8 @@ AS  begin
 select 1;
 end;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_procedure.sql
index dc807a76a..b377916ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/9.6_plus/create_procedure.sql
@@ -9,3 +9,6 @@ CREATE OR REPLACE PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(
 AS  begin
 select 1;
 end;
+
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
+    OWNER TO enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_comment.sql
index c980abd42..b842697a7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_comment.sql
@@ -10,5 +10,8 @@ AS begin
 select 1;
 end;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_opt.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_opt.sql
index c17e8f6e8..1426b2012 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_opt.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_opt.sql
@@ -11,5 +11,8 @@ AS begin
 select 1;
 end;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_param.sql
index 55986ddad..78416c7f7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/alter_proc_param.sql
@@ -11,5 +11,8 @@ AS begin
 select 1;
 end;
 
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
+
 COMMENT ON PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"
     IS 'some comment';
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_procedure.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_procedure.sql
index 0ba60be8d..b5e324f05 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_procedure.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/ppas/default/create_procedure.sql
@@ -9,3 +9,6 @@ CREATE OR REPLACE PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(
 AS begin
 select 1;
 end;
+
+ALTER PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer)
+    OWNER TO enterprisedb;
